package com.izouma.awesomeadmin.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.izouma.awesomeadmin.model.GenTestTable;

/**
 * gen_test_table Dao接口
 * Fri Apr 20 09:24:30 CST 2018  Suo Chen Cheng
 */ 
@Repository("com.izouma.awesomeadmin.dao.GenTestTableMapper")
public interface GenTestTableMapper {

	int deleteByPrimaryKey(Integer id);

	int insertSelective(GenTestTable record);

	GenTestTable selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(GenTestTable record);

	List <GenTestTable> queryAllGenTestTable(GenTestTable record);

	List <GenTestTable> queryGenTestTablesByPage(Map <String, Object> parameter);

	int delete(String id);

	GenTestTable queryGenTestTable(GenTestTable record);
}

